#!/bin/sh

#

. $SYSTEM_GUARD/General.conf

DUMMY=`cat $SYSTEM_GUARD/Data/processes.txt`
if [ "$DUMMY" = "" ]; then
  exit 0
fi

WARN_TYPE="PROCESS_RESTARTED"
WARN_TYPE2="PROCESS_DOWN"

if [ -f "$SYSTEM_GUARD/Data/processes.new" ]; then
  rm $SYSTEM_GUARD/Data/processes.new
fi
touch $SYSTEM_GUARD/Data/processes.new

cat $SYSTEM_GUARD/Data/processes.txt | while read Line
do
  if [ -n "$Line" ]; then
    echo $Line >> $SYSTEM_GUARD/Data/processes.new
  fi
done

cat $SYSTEM_GUARD/Data/processes.new | while read Line
do
  DaemonName=`echo $Line | awk '{print $1}'`
  Process=`ps ax | grep $DaemonName | grep -v grep`

  if [ -z "$Process" ]; then
    StartCmd=`echo $Line | awk '{print $2}'`
    StartCmdOptions=`echo $Line | awk '{print $3}'` 
   
    if [ -z "$StartCmd" ]; then
      $SYSTEM_GUARD/SendWarning.sh $WARN_TYPE2 "$DaemonName"
    else 
      if [ -z "$StartCmdOptions" ]; then
        nohup $StartCmd &
      else
        nohup $StartCmd $StartCmdOptions &
     fi  
     $SYSTEM_GUARD/SendWarning.sh $WARN_TYPE "$DaemonName"
    fi
  fi
done
exit 0


